Bug 184556 - CVE-2006-0049 Gnupg incorrect malformed message verification
CVE-2006-0049 Gnupg incorrect malformed message verification
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnupg (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Mike McLean
source=vendorsec,reported=20060305,pu...
: Security
Depends On:
Blocks: 185345 185346
  Show dependency treegraph
 
Reported: 2006-03-09 15:29 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0266
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:32:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Demo reproducer (741 bytes, text/plain)
2006-03-13 09:56 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2006-03-09 15:29:14 EST
Gnupg incorrect malformed message verification

Tavis Ormandy discovered that it is still possible to trick gnupg into
incorrectly verifying a signed message.

The patch is here:
ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-1.4.2.1-1.4.2.2.diff.bz2


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Josh Bressers 2006-03-13 09:56:43 EST
Created attachment 126039 [details]
Demo reproducer

This reproducer was given to us by Gentoo.

In order to reproduce this issue on RHEL, the --ignore-crc-error option must be
given to gpg.  This also mitigates the usefullness of this issue on RHEL.
Comment 5 Red Hat Bugzilla 2006-03-15 11:32:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0266.html

Note You need to log in before you can comment on or make changes to this bug.